$(function(){
$("#tooltip1").dxTooltip({
target: "#product1",
showEvent: "mouseenter",
hideEvent: "mouseleave",
closeOnOutsideClick: false
});
$("#tooltip2").dxTooltip({
target: "#product2",
showEvent: "mouseenter",
hideEvent: "mouseleave",
closeOnOutsideClick: false,
position: "right",
contentTemplate: function(data) {
data.html("<img width='150' src='../../../../images/products/3.png'><br/><b>SuperPlasma 50</b><br/>2400$");
}
});
$("#tooltip3").dxTooltip({
target: "#product3",
showEvent: "mouseenter",
hideEvent: "mouseleave",
closeOnOutsideClick: false,
position: "top",
animation: {
show: {
type: "slide",
from: {
top: -100,
opacity: 0
},
to: {
opacity: 1,
top: 0
}
},
hide: {
type: "pop",
from: {
scale: 1,
opacity: 1
},
to: {
opacity: 0,
scale: 0.1
}
}
}
});
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/19.2.4/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/19.2.4/js/dx.all.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="form">
<div class="label">Default mode</div>
<div>
<img id="product1" src="images/products/17.png">
<div id="tooltip1">ExcelRemote IR</div>
</div>
<div class="label">With template</div>
<div>
<img id="product2" src="images/products/3.png">
<div id="tooltip2"></div>
</div>
<div class="label">With animation</div>
<div>
<img id="product3" src="images/products/15.png">
<div id="tooltip3">Projector PlusHD</div>
</div>
</div>
</div>
</body>
</html>
.form {
padding: 20px;
}
.form img {
width: 100px;
margin: 10px 0 30px;
}
.label {
font-size: 16px;
}

<div class="form">
<div class="label">Default mode</div>
<div>
<img id="product1" src="../../../../images/products/17.png" />
<dx-tooltip
target="#product1"
showEvent="mouseenter"
hideEvent="mouseleave"
[hideOnOutsideClick]="false"
>
<div *dxTemplate="let data = data; of: 'content'"> ExcelRemote IR </div>
</dx-tooltip>
</div>
<div class="label">With template</div>
<div>
<img id="product2" src="../../../../images/products/3.png" />
<dx-tooltip
target="#product2"
showEvent="mouseenter"
hideEvent="mouseleave"
position="right"
[hideOnOutsideClick]="false"
>
<div *dxTemplate="let data = data; of: 'content'">
<img width="150" src="../../../../images/products/3.png" /><br />
<b>SuperPlasma 50</b><br />
2400$
</div>
</dx-tooltip>
</div>
<div class="label">With animation</div>
<div>
<img id="product3" src="../../../../images/products/15.png" />
<dx-tooltip
target="#product3"
showEvent="mouseenter"
hideEvent="mouseleave"
position="top"
[hideOnOutsideClick]="false"
>
<dxo-animation>
<dxo-show
type="slide"
[from]="{ top: -100, opacity: 0 }"
[to]="{ opacity: 1, top: 0 }"
></dxo-show>
<dxo-hide
type="pop"
[from]="{ scale: 1, opacity: 1 }"
[to]="{ opacity: 0, scale: 0.1 }"
></dxo-hide>
</dxo-animation>
<div *dxTemplate="let data of 'content'"> Projector PlusHD </div>
</dx-tooltip>
</div>
</div>
import { NgModule, Component, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxTooltipModule, DxTemplateModule } from 'devextreme-angular';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css'],
})
export class AppComponent {
}
@NgModule({
imports: [
BrowserModule,
DxTooltipModule,
DxTemplateModule,
],
declarations: [AppComponent],
bootstrap: [AppComponent],
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
::ng-deep .form {
padding: 20px;
}
::ng-deep .form img {
width: 100px;
margin: 10px 0 30px;
}
::ng-deep .label {
font-size: 16px;
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
window.config = {
transpiler: 'ts',
typescriptOptions: {
module: 'system',
emitDecoratorMetadata: true,
experimentalDecorators: true,
},
meta: {
'typescript': {
'exports': 'ts',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'ts': 'npm:plugin-typescript@4.2.4/lib/plugin.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'@angular/core': 'npm:@angular/core@12.2.17',
'@angular/platform-browser': 'npm:@angular/platform-browser@12.2.17',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic@12.2.17',
'@angular/forms': 'npm:@angular/forms@12.2.17',
'@angular/common': 'npm:@angular/common@12.2.17',
'@angular/compiler': 'npm:@angular/compiler@12.2.17',
'tslib': 'npm:tslib@2.3.1/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.2.6/cjs',
'devextreme/bundles/dx.all': 'npm:devextreme@22.2.6/bundles/dx.all.js',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.20/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.72',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.43',
'devextreme-angular': 'npm:devextreme-angular@22.2.6',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
'npm:@angular/*/package.json',
'npm:@angular/common@12.2.17/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devextreme-angular@22.2.6/*/package.json',
'npm:devextreme-angular@22.2.6/ui/*/package.json',
'npm:devextreme-angular@22.2.6/package.json',
'npm:devexpress-diagram@2.1.72/package.json',
'npm:devexpress-gantt@4.1.43/package.json',
],
};
System.config(window.config);
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.2.6/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.13.0/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

import React from 'react';
import { Tooltip } from 'devextreme-react/tooltip';
const animationConfig = {
show: {
type: 'slide',
from: {
top: -100,
opacity: 0,
},
to: {
top: 0,
opacity: 1,
},
},
hide: {
type: 'pop',
from: {
scale: 1,
opacity: 1,
},
to: {
scale: 0.1,
opacity: 0,
},
},
};
class App extends React.Component {
render() {
return (
<div className="form">
<div className="label">Default mode</div>
<div>
<img
alt="ExcelRemote IR"
id="product1"
src="../../../../images/products/17.png"
/>
<Tooltip
target="#product1"
showEvent="mouseenter"
hideEvent="mouseleave"
hideOnOutsideClick={false}
>
<div>ExcelRemote IR</div>
</Tooltip>
</div>
<div className="label">With template</div>
<div>
<img
alt="SuperPlasma 50"
id="product2"
src="../../../../images/products/3.png"
/>
<Tooltip
target="#product2"
showEvent="mouseenter"
hideEvent="mouseleave"
position="right"
hideOnOutsideClick={false}
>
<img alt="SuperPlasma 50" width="150" src="../../../../images/products/3.png" /><br />
<b>SuperPlasma 50</b><br /> 2400$
</Tooltip>
</div>
<div className="label">With animation</div>
<div>
<img
alt="Projector PlusHD"
id="product3"
src="../../../../images/products/15.png"
/>
<Tooltip
target="#product3"
showEvent="mouseenter"
hideEvent="mouseleave"
position="top"
animation={animationConfig}
hideOnOutsideClick={false}
>
<div>Projector PlusHD</div>
</Tooltip>
</div>
</div>
);
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app'),
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
.form {
padding: 20px;
}
.form img {
width: 100px;
margin: 10px 0 30px;
}
.label {
font-size: 16px;
}
window.config = {
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
defaultExtension: 'js',
map: {
'react': 'npm:react@17.0.2/umd/react.development.js',
'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.8.1/prop-types.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-react': 'npm:devextreme-react@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme': {
defaultExtension: 'js',
},
'devextreme-react': {
main: 'index.js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
react: true,
},
};
System.config(window.config);

<template>
<div class="form">
<div class="label">Default mode</div>
<div>
<img
alt="ExcelRemote IR"
id="product1"
src="../../../../images/products/17.png"
>
<DxTooltip
:hide-on-outside-click="false"
target="#product1"
show-event="mouseenter"
hide-event="mouseleave"
>
ExcelRemote IR
</DxTooltip>
</div>
<div class="label">With template</div>
<div>
<img
alt="SuperPlasma 50"
id="product2"
src="../../../../images/products/3.png"
>
<DxTooltip
:hide-on-outside-click="false"
target="#product2"
show-event="mouseenter"
hide-event="mouseleave"
position="right"
>
<img
alt="SuperPlasma 50"
:width="150"
src="../../../../images/products/3.png"
><br>
<b>SuperPlasma 50</b><br> 2400$
</DxTooltip>
</div>
<div class="label">With animation</div>
<div>
<img
alt="Projector PlusHD"
:id="'product3'"
src="../../../../images/products/15.png"
>
<DxTooltip
:target="'#product3'"
show-event="mouseenter"
hide-event="mouseleave"
:position="'top'"
:animation="animationConfig"
:hide-on-outside-click="false"
>
Projector PlusHD
</DxTooltip>
</div>
</div>
</template>
<script>
import { DxTooltip } from 'devextreme-vue/tooltip';
export default {
components: {
DxTooltip,
},
data() {
return {
animationConfig: {
show: {
type: 'slide',
from: {
top: -100,
opacity: 0,
},
to: {
top: 0,
opacity: 1,
},
},
hide: {
type: 'pop',
from: {
scale: 1,
opacity: 1,
},
to: {
scale: 0.1,
opacity: 0,
},
},
},
};
},
};
</script>
<style>
.form {
padding: 20px;
}
.form img {
width: 100px;
margin: 10px 0 30px;
}
.label {
font-size: 16px;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/23.1.5/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'root:': '../../../../../',
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.3.4/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.1/index.js',
'demo-ts-loader': 'root:utils/demo-ts-loader.js',
'svg-loader': 'root:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.1/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@23.1.5/cjs',
'devextreme-vue': 'npm:devextreme-vue@23.1.5',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.6.2/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.1/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.48/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.11',
'inferno': 'npm:inferno@7.4.11/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.4/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.4/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.11/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);